## kerchunk 0.2.9

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = kerchunk
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx-rtd-theme
numpydoc
autodoc
numpy
fsspec
h5py
numcodecs
tifffile
scipy
cfgrib
eccodes
astropy
xarray
zarr
ujson

=== debian/changelog ===
kerchunk (0.2.9-2) unstable; urgency=medium

  * Update dates in d/copyright.
  * debian/control:
    - Mark python-kerchunk-doc as "Multi-Arch: foreign".

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Feb 2026 18:54:55 +0000

kerchunk (0.2.9-1) unstable; urgency=low

  * Initial release (Closes: #1124102).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Dec 2025 08:17:47 +0000

=== debian/control ===
Source: kerchunk
Section: python
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-astropy <!nodoc>,
               python3-dask <!nocheck>,
               python3-cfgrib,
               python3-cftime,
               python3-eccodes <!nodoc>,
               python3-fsspec,
               python3-h5netcdf <!nocheck>,
               python3-h5py,
	       python3-netcdf4 <!nocheck>,
               python3-numcodecs,
               python3-numpy,
               python3-numpydoc <!nodoc>,
               python3-pytest <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-tifffile <!nodoc>,
               python3-ujson,
               python3-xarray,
               python3-zarr
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/fsspec/kerchunk
Vcs-Browser: https://salsa.debian.org/debian-gis-team/kerchunk
Vcs-Git: https://salsa.debian.org/debian-gis-team/kerchunk.git
Description: Cloud-friendly access to archival data
 Kerchunk is a library that provides a unified way to represent a
 variety of chunked, compressed data formats (e.g. NetCDF, HDF5, GRIB),
 allowing efficient access to the data from traditional file systems or
 cloud object storage.  It also provides a flexible way to create
 virtual datasets from multiple files.  It does this by extracting the
 byte ranges, compression information and other information about the
 data and storing this metadata in a new, separate object.
 This means that you can create a virtual aggregate dataset over
 potentially many source files, for efficient, parallel and
 cloud-friendly *in-situ* access without having to copy or translate
 the originals. It is a gateway to in-the-cloud massive data processing
 while the data providers still insist on using legacy formats for
 archival storage.
 .
 Features:
 .
  * completely serverless architecture
  * metadata consolidation, so you can understand a many-file dataset
    (metadata plus physical storage) in a single read
  * read from all of the storage backends supported by fsspec,
    including object storage (s3, gcs, abfs, alibaba), http, cloud user
    storage (dropbox, gdrive) and network protocols (ftp, ssh, hdfs,
    smb...)
  * loading of various file types (currently netcdf4/HDF, grib2, tiff,
    fits, zarr), potentially heterogeneous within a single dataset,
    without a need to go via the specific driver (e.g., no need for
    h5py)
  * asynchronous concurrent fetch of many data chunks in one go,
    amortizing the cost of latency
  * parallel access with a library like zarr without any locks
  * logical datasets viewing many (>~millions) data files, and direct
    access/subselection to them via coordinate indexing across an
    arbitrary number of dimensions

Package: python3-kerchunk
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-cfgrib,
            python3-cftime,
            python3-h5py,
            python3-scipy,
            python3-xarray
Suggests: python3-aiohttp,
          python3-dask,
          python3-netcdf4
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-kerchunk-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides the HTML documentation for kerchunk.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=kerchunk

# python3-s3fs module not available on Debian
SKIP_ARGS=not test_median \
and not test_single \
and not test_single_direct_open \
and not test_parse_grib_idx_no_file \
and not test_archives \
and not test_parse_grib_idx_content \
and not test_multizarr

# python3-fastparquet module not available in Debian
SKIP_ARGS +=\
and not test_single_append_parquet \
and not test_zarr_combine

# tests requiring hdf5 plugins
# See https://github.com/fsspec/kerchunk/pull/575
SKIP_ARGS +=\
and not test_string_embed \
and not test_string_pathlib \
and not test_string_null \
and not test_string_decode \
and not test_compound_string_null \
and not test_compound_string_encode \
and not test_var

export PYBUILD_TEST_ARGS=-m "not remotedata" -k "${SKIP_ARGS}" $(CURDIR)/tests
export PYBUILD_AFTER_TEST=${RM} -r {dir}/tests/__pycache__

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html docs/source $(CURDIR)/.pybuild/docs/html/
	${RM} -r $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/,\
repacksuffix=+ds \
https://github.com/fsspec/kerchunk/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
